<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="/static/style.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
     <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
</head>

<body>

    <h1>Chat Bot</h1>
    <div id="chatroom">
        <div id="chatbox">

            <p class="botText">
                <span>Hi! I'm your digital assistant.</span>
            </p>
            <div class="botReact">
                <ul class="feedback"> <li class="angry"> <div> <svg class="eye left"> <use xlink:href="#eye"></use> </svg> <svg class="eye right"> <use xlink:href="#eye"></use> </svg> <svg class="mouth"> <use xlink:href="#mouth"></use> </svg> </div></li><li class="sad"> <div> <svg class="eye left"> <use xlink:href="#eye"></use> </svg> <svg class="eye right"> <use xlink:href="#eye"></use> </svg> <svg class="mouth"> <use xlink:href="#mouth"></use> </svg> </div></li><li class="ok"> <div></div></li><li class="good active"> <div> <svg class="eye left"> <use xlink:href="#eye"></use> </svg> <svg class="eye right"> <use xlink:href="#eye"></use> </svg> <svg class="mouth"> <use xlink:href="#mouth"></use> </svg> </div></li><li class="happy"> <div> <svg class="eye left"> <use xlink:href="#eye"></use> </svg> <svg class="eye right"> <use xlink:href="#eye"></use> </svg> </div></li></ul>
            </div>

<!--<div class="feed">-->
<!--  <a class="like-btn">-->
<!--    <div class="reaction-box">-->
<!--      <div class="reaction-icon like">-->
<!--        <label>Like</label>-->
<!--      </div>-->
<!--      <div class="reaction-icon love">-->
<!--        <label>Love</label>-->
<!--      </div>-->
<!--      <div class="reaction-icon haha">-->
<!--        <label>Haha</label>-->
<!--      </div>-->
<!--      <div class="reaction-icon wow">-->
<!--        <label>Wow</label>-->
<!--      </div>-->
<!--      <div class="reaction-icon sad">-->
<!--        <label>Sad</label>-->
<!--      </div>-->
<!--      <div class="reaction-icon angry">-->
<!--        <label>Angry</label>-->
<!--      </div>-->
<!--    </div>-->
<!--  </a>-->
<!--</div>-->




        </div>
        <div id="userInput">
            <div id="sp-left">
                <span class='spinme-left'>
                    <div class='spinner'>
                        <div class='bounce1'></div>
                        <div class='bounce2'></div>
                        <div class='bounce3'></div>
                    </div>
                </span>
            </div>
            <input id="textInput" type="text" name="msg" placeholder="Explore Talentica...">
            <button id="buttonInput" type="submit" value="Send"> <span class="fas fa-lg fa-paper-plane" > </span></button>
        </div>
        <script type="text/javascript">
            let count=0;
            function getBotResponse() {
            count++;
                var rawText = $("#textInput").val().trim();
                if(rawText.length >1){
                    var userHtml = '<p class="userText"><span>' + rawText + '</span></p>';
                    $("#textInput").val("");
                    $("#chatbox").append(userHtml);
                    document.getElementById('userInput').scrollIntoView({
                        block: 'start',
                        behavior: 'smooth'
                    });

                    $.get("/get", {
                        msg: rawText
                    }).done(function(data) {
                        var botHtml = '<p class="botText"><span>' + data + '</span></p><div class="botReact" data-botReact="'+count+'"><span class="far fa-sm fa-smile-beam fed" onClick="dispFeedback(this.id)" id="'+count+'"> </span><div class="fdone" id="'+count+'" style="opacity:0;" onClick="dispFeedback(this.id)"><span class="fas fa-sm fa-smile-beam"> </span></div><ul class="feedback" id="fe'+count+'" data-id="'+count+'"> <li class="angry" id="'+count+'_1" onclick="setFeedback(this.id)"> <div> <svg class="eye left"> <use xlink:href="#eye"></use> </svg> <svg class="eye right"> <use xlink:href="#eye"></use> </svg> <svg class="mouth"> <use xlink:href="#mouth"></use> </svg> </div></li><li class="sad" id="'+count+'_2" onclick="setFeedback(this.id)"> <div> <svg class="eye left"> <use xlink:href="#eye"></use> </svg> <svg class="eye right"> <use xlink:href="#eye"></use> </svg> <svg class="mouth"> <use xlink:href="#mouth"></use> </svg> </div></li><li class="ok" id="'+count+'_3" onclick="setFeedback(this.id)"> <div></div></li><li class="good active" id="'+count+'_4" onclick="setFeedback(this.id)"> <div> <svg class="eye left"> <use xlink:href="#eye"></use> </svg> <svg class="eye right"> <use xlink:href="#eye"></use> </svg> <svg class="mouth"> <use xlink:href="#mouth"></use> </svg> </div></li><li class="happy" id="'+count+'_5" onclick="setFeedback(this.id)"> <div> <svg class="eye left"> <use xlink:href="#eye"></use> </svg> <svg class="eye right"> <use xlink:href="#eye"></use> </svg> </div></li></ul></div>';
                        $("#chatbox").append(botHtml);
                        document.getElementById('userInput').scrollIntoView({
                            block: 'start',
                            behavior: 'smooth'
                        });
                    });

                }
            }

            $("#textInput").keypress(function(e) {
                if (e.which == 13) {

                    $(".spinner").css('display','block');
                    getBotResponse();
                    $(".spinner").css('display','none');
                }
            });

            $("#buttonInput").click(function() {
                $(".spinner").css('display','block');
                getBotResponse();
                $(".spinner").css('display','none');
            });

            $(".spinner").css('display','block');

// <!--            $(".botText").hide();-->
// <!--            $("#textInput").hide();-->
// <!--            $("#buttonInput").hide();-->

// <!--            $(".botText").delay(500).fadeIn(100);-->
// <!--            $("#textInput").delay(1500).fadeIn(100);-->
// <!--            $("#buttonInput").delay(1500).fadeIn(100);-->


            $(".spinner").css('display','none');

// <!--            var placeholderArray = ['Explore Talentica....', 'What is Talentica mission?','What will happen to my unused leave ?']-->

// <!--                for(i=0;i<placeholderArray.length;i++){-->
// <!--                var txt = placeholderArray[i];-->
// <!--                var timeOut;-->
// <!--                var txtLen = txt.length;-->
// <!--                var char = 0;-->
// <!--                $('#textInput').attr('placeholder', '|');-->
// <!--                (function typeIt() {-->
// <!--                    var humanize = Math.round(Math.random() * (100 - 30)) + 30;-->
// <!--                    timeOut = setTimeout(function () {-->
// <!--                        char++;-->
// <!--                        var type = txt.substring(0, char);-->
// <!--                        $('#textInput').attr('placeholder', type + '');-->
// <!--                        typeIt();-->

// <!--                        if (char == txtLen) {-->
// <!--                            $('#textInput').attr('placeholder', $('.main-search').attr('placeholder').slice(0, -1)) // remove the '|'-->
// <!--                            clearTimeout(timeOut);-->
// <!--                        }-->

// <!--                    }, humanize);-->
// <!--                }());-->
// <!--            }-->
        </script>
    </div>



<script>

activeFeedbackArr = [];
feedbackMap = {};
function dispFeedback(id){
    console.log(activeFeedbackArr.length);
    for(i=0;i<=activeFeedbackArr.length;i++){
        if(id!=activeFeedbackArr[i]){
            $("#"+activeFeedbackArr[i]+"_1").removeClass("show");
            $("#"+activeFeedbackArr[i]+"_2").removeClass("show");
            $("#"+activeFeedbackArr[i]+"_3").removeClass("show");
            $("#"+activeFeedbackArr[i]+"_4").removeClass("show");
            $("#"+activeFeedbackArr[i]+"_5").removeClass("show");
            $("#fe"+activeFeedbackArr[i]).removeClass("show");
            activeFeedbackArr.splice(i, 1);
        }
    }
    if(!activeFeedbackArr.includes(id)){
        $("#fe"+id+" li").each(function(i, e) {
        setTimeout(function(){
            $(e).addClass("show");
        }, i * 100);
        });
        $("#fe"+id).addClass("show");
        setFeedback(id+"_4");
    }else{
        $("#"+id+"_1").removeClass("show");
        $("#"+id+"_2").removeClass("show");
        $("#"+id+"_3").removeClass("show");
        $("#"+id+"_4").removeClass("show");
        $("#"+id+"_5").removeClass("show");
        $("#fe"+id).removeClass("show");
        activeFeedbackArr.splice(activeFeedbackArr.indexOf(id), 1);
    }
    console.log(activeFeedbackArr);
}

function setFeedback(id){
    instanceid = id.split("_")[0];
    index = id.split("_")[1];
    if(!activeFeedbackArr.includes(instanceid)){
        feedbackMap[instanceid] = index;
        document.querySelectorAll("#fe"+instanceid+" li").forEach(entry => entry.addEventListener('click', e => {
        if(!entry.classList.contains('active') ) {
            document.querySelector('#fe'+instanceid+' li.active').classList.remove('active');
            entry.classList.add('active');
        } e.preventDefault();
        }));
        activeFeedbackArr.push(instanceid);
    }else{
        setTimeout(function(){
            $("#"+instanceid+"_1").removeClass("show");
            $("#"+instanceid+"_2").removeClass("show");
            $("#"+instanceid+"_3").removeClass("show");
            $("#"+instanceid+"_4").removeClass("show");
            $("#"+instanceid+"_5").removeClass("show");
            $("#fe"+instanceid).removeClass("show");
            activeFeedbackArr.splice(activeFeedbackArr.indexOf(instanceid), 1);
            $("#"+instanceid).hide();
            $("#"+instanceid+".fdone").css('opacity',1);
            if(index==1){
                $("#"+instanceid+".fdone span").removeClass().addClass("fas fa-sm fa-angry");
                $("#"+instanceid+".fdone").css('box-shadow','rgb(255, 181, 85) 3px -6px 4px inset, rgb(255, 64, 30) 0px 42px 10px inset');
                $("#"+instanceid+".fdone").css('color','burlywood');
                $("#"+instanceid+".fdone").css('transform','translate(0, 0) scale(1)');
            }else if(index==2){
                $("#"+instanceid+".fdone span").removeClass().addClass("fas fa-sm fa-sad-tear");
                $("#"+instanceid+".fdone").css('box-shadow','#76b5e7 3px -6px 4px inset, rgb(224, 154, 79) 0px 42px 10px inset');
                $("#"+instanceid+".fdone").css('color','#f8da69');
                $("#"+instanceid+".fdone").css('transform','translate(0, 0) scale(1)');
            }else if(index==3){
                $("#"+instanceid+".fdone span").removeClass().addClass("fas fa-sm fa-frown");
                $("#"+instanceid+".fdone").css('box-shadow','rgb(255, 181, 85) 3px -6px 4px inset, #bb9732 0px 42px 10px inset');
                $("#"+instanceid+".fdone").css('color','#f8da69');
                $("#"+instanceid+".fdone").css('transform','translate(0, 0) scale(1)');
            }else if(index==4){
                $("#"+instanceid+".fdone span").removeClass().addClass("fas fa-sm fa-smile-beam");
                $("#"+instanceid+".fdone").css('box-shadow','rgb(255, 181, 85) 3px -6px 4px inset, #469021 0px 42px 10px inset');
                $("#"+instanceid+".fdone").css('color','#f8da69');
                $("#"+instanceid+".fdone").css('transform','translate(0, 0) scale(1)');
            }else if(index==5){
                $("#"+instanceid+".fdone span").removeClass().addClass("fas fa-sm fa-laugh-beam");
                $("#"+instanceid+".fdone").css('box-shadow','rgb(110, 214, 98) 3px -6px 4px inset, #1b922a 0px 42px 10px inset');
                $("#"+instanceid+".fdone").css('color','#f8da69');
                $("#"+instanceid+".fdone").css('transform','translate(0, 0) scale(1)');
            }


        }, 1000);
    }
}


//angry // sad-tear //smile-beam // smile-wink //smile




// <!--$(function(){-->
// <!--  $(".botReact").hover(function() {-->
// <!--    $(".feedback li").each(function(i, e) {-->
// <!--      setTimeout(function(){-->
// <!--        $(e).addClass("show");-->
// <!--      }, i * 100);-->
// <!--    });-->
// <!--    $(".feedback").addClass("show");-->
// <!--  },function() {-->
// <!--        $(".feedback").removeClass("show");-->
// <!--        $(".feedback li").each(function(i, e) {-->
// <!--            setTimeout(function(){-->
// <!--            $(e).removeClass("show");-->
// <!--          }, i * 100);-->
// <!--        });-->
// <!--    });-->
// <!--});-->

// <!--document.querySelectorAll('.feedback li').forEach(entry => entry.addEventListener('click', e => {-->
// <!--    if(!entry.classList.contains('active')) {-->
// <!--        document.querySelector('.feedback li.active').classList.remove('active');-->
// <!--        entry.classList.add('active');-->
// <!--    }-->
// <!--    e.preventDefault();-->
// <!--}));-->

</script>

<svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
    <symbol xmlns="http://www.w3.org/2000/svg" viewBox="0 0 7 4" id="eye">
        <path d="M1,1 C1.83333333,2.16666667 2.66666667,2.75 3.5,2.75 C4.33333333,2.75 5.16666667,2.16666667 6,1"></path>
    </symbol>
    <symbol xmlns="http://www.w3.org/2000/svg" viewBox="0 0 18 7" id="mouth">
        <path d="M1,5.5 C3.66666667,2.5 6.33333333,1 9,1 C11.6666667,1 14.3333333,2.5 17,5.5"></path>
    </symbol>
</svg>

</body>

</html>